--- src/org/hsqldb/jdbc/jdbcBlob.java
+++ src/org/hsqldb/jdbc/jdbcBlob.java
@@ -461,8 +461,6 @@
         data = newData;
     }
 
-//#ifdef JAVA6
-/*
     public void free() throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -472,9 +470,6 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-
-//#endif JAVA6
 
 //    public static void main(String[] args) throws Exception {
 //
--- src/org/hsqldb/jdbc/jdbcCallableStatement.java
+++ src/org/hsqldb/jdbc/jdbcCallableStatement.java
@@ -36,13 +36,9 @@
 import java.math.BigDecimal;
 import java.sql.CallableStatement;
 import java.sql.Date;
-//#ifdef JAVA6
-/*
 import java.sql.NClob;
 import java.sql.RowId;
 import java.sql.SQLXML;
-*/
-//#endif JAVA6
 import java.sql.Time;
 import java.sql.Timestamp;
 import java.sql.SQLException;
@@ -3105,8 +3101,7 @@
     }
     
 //#endif JAVA4
-//#ifdef JAVA6
-/*
+
     public void setPoolable(boolean poolable) throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -3376,7 +3371,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcClob.java
+++ src/org/hsqldb/jdbc/jdbcClob.java
@@ -463,8 +463,6 @@
         }
     }
 
-//#ifdef JAVA6
-/*
     public void free() throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -474,6 +472,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcConnection.java
+++ src/org/hsqldb/jdbc/jdbcConnection.java
@@ -42,14 +42,9 @@
 import java.sql.Connection;
 import java.sql.DatabaseMetaData;
 
-//#ifdef JAVA6
-/*
 import java.sql.NClob;
 import java.sql.SQLClientInfoException;
 import java.sql.SQLXML;
-*/
-
-//#endif JAVA6
 import java.sql.PreparedStatement;
 import java.sql.SQLException;
 import java.sql.SQLWarning;
@@ -2728,8 +2723,6 @@
         return i;
     }
 
-//#ifdef JAVA6
-/*
     public Clob createClob() throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -2794,7 +2787,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcDataSource.java
+++ src/org/hsqldb/jdbc/jdbcDataSource.java
@@ -311,8 +311,6 @@
         this.user = user;
     }
 
-//#ifdef JAVA6
-/*
     public <T> T unwrap(Class<T> iface) throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -322,7 +320,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcDatabaseMetaData.java
+++ src/org/hsqldb/jdbc/jdbcDatabaseMetaData.java
@@ -36,12 +36,7 @@
 import java.sql.ResultSet;
 import java.sql.SQLException;
 
-//#ifdef JAVA6
-/*
 import java.sql.RowIdLifetime;
-*/
-
-//#endif JAVA6
 import org.hsqldb.Column;
 import org.hsqldb.Library;
 import org.hsqldb.Trace;
@@ -5649,8 +5644,6 @@
         return schemaName;
     }
 
-//#ifdef JAVA6
-/*
     public RowIdLifetime getRowIdLifetime() throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -5694,7 +5687,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcParameterMetaData.java
+++ src/org/hsqldb/jdbc/jdbcParameterMetaData.java
@@ -382,8 +382,6 @@
         return sb.toString();
     }
 
-//#ifdef JAVA6
-/*
     public <T> T unwrap(Class<T> iface) throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -393,7 +391,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcPreparedStatement.java
+++ src/org/hsqldb/jdbc/jdbcPreparedStatement.java
@@ -38,14 +38,9 @@
 import java.math.BigDecimal;
 import java.sql.Date;
 
-//#ifdef JAVA6
-/*
 import java.sql.NClob;
 import java.sql.RowId;
 import java.sql.SQLXML;
-*/
-
-//#endif JAVA6
 import java.sql.PreparedStatement;
 import java.sql.ResultSet;
 import java.sql.ResultSetMetaData;
@@ -2292,8 +2287,6 @@
         return sb.toString();
     }
 
-//#ifdef JAVA6
-/*
     public void setPoolable(boolean poolable) throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -2403,7 +2396,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcResultSet.java
+++ src/org/hsqldb/jdbc/jdbcResultSet.java
@@ -75,14 +75,10 @@
 import java.sql.ResultSet;
 import java.sql.ResultSetMetaData;
 
-//#ifdef JAVA6
-/*
 import java.sql.RowId;
 import java.sql.NClob;
 import java.sql.SQLXML;
-*/
 
-//#endif JAVA6
 import java.sql.SQLException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
@@ -5074,8 +5070,6 @@
                                : true;
     }
 
-//#ifdef JAVA6
-/*
     public RowId getRowId(int columnIndex) throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -5325,7 +5319,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcResultSetMetaData.java
+++ src/org/hsqldb/jdbc/jdbcResultSetMetaData.java
@@ -1144,8 +1144,6 @@
                                     String.valueOf(column));
         }
     }
-//#ifdef JAVA6
-/*
     public <T> T unwrap(Class<T> iface) throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -1155,6 +1153,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-//#endif JAVA6
 }
--- src/org/hsqldb/jdbc/jdbcStatement.java
+++ src/org/hsqldb/jdbc/jdbcStatement.java
@@ -1587,8 +1587,6 @@
             throw Util.sqlException(e);
         }
     }
-//#ifdef JAVA6
-/*
     public void setPoolable(boolean poolable) throws SQLException
     {
         throw new UnsupportedOperationException("Not supported yet.");
@@ -1608,6 +1606,4 @@
     {
         throw new UnsupportedOperationException("Not supported yet.");
     }
-*/
-//#endif JAVA6
 }
